# $Revision: 1.13 $, $Date: 2006/04/02 11:22:39 $
%include	/usr/lib/rpm/macros.php
%define		_class		Contact
%define		_subclass	AddressBook
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Address book export-import class
Summary(pl):	%{_pearname} - Klasa do importowania/eksportowania ksiki adresowej
Name:		php-pear-%{_pearname}
Version:	0.5.0
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	9834f0a60102160a7ea983441e277734
URL:		http://pear.php.net/package/Contact_AddressBook/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear >= 4:1.0-7
Requires:	php-pear-File >= 1.2.1
Requires:	php-pear-Net_UserAgent_Detect >= 2.0.1
Requires:	php-pear-PEAR-core >= 1:1.2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package provides export-import address book mechanism.
Contact_AddressBook refers to needed structure, convert the various
address book structure format into it, then you can easily store it
into file, database or another storage media.

In PEAR status of this package is: %{_status}.

%description -l pl
Ten pakiet dostarcza mechanizm exportowania/importowania ksiki
adresowej. Contact_AddressBook odwouje si do wymaganej struktury,
konwertuje do jej formatu rne formaty ksiek adresowych, ktre
nastpnie mona atwo zapisa do pliku, bazy danych lub na inny
nonik.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}.php
%{php_pear_dir}/%{_class}/%{_subclass}

%{php_pear_dir}/data/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Contact_AddressBook.spec,v $
Revision 1.13  2006/04/02 11:22:39  glen
- 0.5.0

Revision 1.12  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.11  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.10  2006/02/16 18:56:35  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.9  2005/10/06 17:23:28  glen
- update php-pear-File requires

Revision 1.8  2005/10/06 17:19:17  glen
- updated to 0.4.0 alpha1

Revision 1.7  2005/10/03 22:59:15  glen
- semi automatically added deps from pear

Revision 1.6  2005/09/21 07:52:12  glen
- new pear build

Revision 1.5  2005/09/19 21:43:39  glen
- integer BR

Revision 1.4  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.3  2004/12/24 23:45:33  qboosh
- pl desc

Revision 1.2  2004/12/23 22:56:29  adamg
- license fix (it's BSD)
- proper URL
- small fix in en description

Revision 1.1  2004/12/23 17:26:46  adamg
- new
